| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::ContextVK::Settings Struct Reference

`#include <context_vk.h>`

## Public Member Functions
| Settings ()=default
| Settings (Settings &&)=default

## Public Attributes
PFN_vkGetInstanceProcAddr | proc_address_callback = nullptr
std::vector< std::shared_ptr< fml::Mapping > > | shader_libraries_data
fml::UniqueFD | cache_directory
bool | enable_validation = false
bool | enable_gpu_tracing = false
bool | enable_surface_control = false
bool | fatal_missing_validations = false
| If validations are requested but cannot be enabled, log a fatal error. More...
Flags | flags
std::optional< EmbedderData > | embedder_data

## Detailed Description

Definition at line 79 of file context_vk.h.

## Constructor & Destructor Documentation

## ◆ Settings() [1/2]

impeller::ContextVK::Settings::Settings | ( |  | ) |
| default

## ◆ Settings() [2/2]

impeller::ContextVK::Settings::Settings | ( | Settings && |  | ) |
| default

## Member Data Documentation

## ◆ cache_directory

fml::UniqueFD impeller::ContextVK::Settings::cache_directory

Definition at line 82 of file context_vk.h.

Referenced by impeller::interop::ContextVK::Create(), and impeller::PlaygroundImplVK::PlaygroundImplVK().

## ◆ embedder_data

std::optional<EmbedderData> impeller::ContextVK::Settings::embedder_data

Definition at line 90 of file context_vk.h.

## ◆ enable_gpu_tracing

bool impeller::ContextVK::Settings::enable_gpu_tracing = false

Definition at line 84 of file context_vk.h.

Referenced by impeller::android::testing::CreateContext().

## ◆ enable_surface_control

bool impeller::ContextVK::Settings::enable_surface_control = false

Definition at line 85 of file context_vk.h.

Referenced by impeller::android::testing::CreateContext(), and impeller::testing::TEST().

## ◆ enable_validation

bool impeller::ContextVK::Settings::enable_validation = false

Definition at line 83 of file context_vk.h.

Referenced by impeller::interop::ContextVK::Create(), impeller::android::testing::CreateContext(), impeller::PlaygroundImplVK::PlaygroundImplVK(), and impeller::testing::TEST().

## ◆ fatal_missing_validations

bool impeller::ContextVK::Settings::fatal_missing_validations = false

If validations are requested but cannot be enabled, log a fatal error.

Definition at line 87 of file context_vk.h.

Referenced by impeller::PlaygroundImplVK::PlaygroundImplVK(), and impeller::testing::TEST().

## ◆ flags

Flags impeller::ContextVK::Settings::flags

Definition at line 88 of file context_vk.h.

Referenced by impeller::interop::ContextVK::Create(), impeller::ContextVK::Create(), and impeller::PlaygroundImplVK::PlaygroundImplVK().

## ◆ proc_address_callback

PFN_vkGetInstanceProcAddr impeller::ContextVK::Settings::proc_address_callback = nullptr

Definition at line 80 of file context_vk.h.

Referenced by impeller::interop::ContextVK::Create(), impeller::android::testing::CreateContext(), and impeller::PlaygroundImplVK::PlaygroundImplVK().

## ◆ shader_libraries_data

std::vector<std::shared_ptr<fml::Mapping> > impeller::ContextVK::Settings::shader_libraries_data

Definition at line 81 of file context_vk.h.

Referenced by impeller::interop::ContextVK::Create(), impeller::android::testing::CreateContext(), and impeller::PlaygroundImplVK::PlaygroundImplVK().

The documentation for this struct was generated from the following file:

- impeller/renderer/backend/vulkan/context_vk.h